Bug 1343123 - When nfs-utils are installed, systemd-based image shows errors during startup [NEEDINFO]
Summary: When nfs-utils are installed, systemd-based image shows errors during startup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 14:53 UTC by Jan Pazdziora
Modified: 2017-08-08 14:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:46:33 UTC
Type: Bug
jpazdziora: needinfo? (vanmeeuwen+fedora)


Attachments (Terms of Use)

Description Jan Pazdziora 2016-06-06 14:53:51 UTC
Description of problem:

When nfs-utils happens to get installed during docker build, for example due to some dependency, running systemd then shows errors.

Version-Release number of selected component (if applicable):

fedora:23
fedora:rawhide

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have Dockerfile

FROM fedora:23
ENV container docker
RUN systemctl mask systemd-remount-fs.service dev-hugepages.mount sys-fs-fuse-connections.mount systemd-logind.service getty.target console-getty.service dnf-makecache.service
RUN dnf install -y nfs-utils
VOLUME [ "/tmp", "/run" ]
CMD [ "/usr/sbin/init" ]

2. Build image: docker build -t systemd-nfs-utils .
3. Run docker run -ti -v /sys/fs/cgroup:/sys/fs/cgroup:ro systemd-nfs-utils

Actual results:

systemd 222 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ -LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
Detected virtualization docker.
Detected architecture x86-64.
Running with unpopulated /etc.

Welcome to Fedora 23 (Twenty Three)!

Set hostname to <aec3d86271e6>.
Initializing machine ID from random generator.
Populated /etc with preset unit settings.
Running in a container, ignoring fstab device entry for /dev/disk/by-uuid/e9c6a283-f8b8-437b-bf5e-9e73b8f44ac8.
[  OK  ] Reached target Encrypted Volumes.
[  OK  ] Reached target Swap.
[  OK  ] Reached target Local File Systems.
[  OK  ] Created slice Root Slice.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on Journal Socket (/dev/log).
[  OK  ] Created slice System Slice.
         Starting First Boot Wizard...
[  OK  ] Listening on Journal Socket.
         Starting Load/Save Random Seed...
         Mounting NFSD configuration filesystem...
         Starting Rebuild Hardware Database...
         Starting Rebuild Journal Catalog...
         Starting Preprocess NFS configuration...
         Starting Rebuild Dynamic Linker Cache...
         Starting Journal Service...
[  OK  ] Reached target Network.
[  OK  ] Reached target Slices.
[  OK  ] Reached target Paths.
[  OK  ] Started First Boot Wizard.
[  OK  ] Started Load/Save Random Seed.
         Starting Create System Users...
proc-fs-nfsd.mount: Mount process exited, code=exited status=32
[FAILED] Failed to mount NFSD configuration filesystem.
See 'systemctl status proc-fs-nfsd.mount' for details.
[DEPEND] Dependency failed for GSSAPI Proxy Daemon.
gssproxy.service: Job gssproxy.service/start failed with result 'dependency'.
proc-fs-nfsd.mount: Unit entered failed state.
[  OK  ] Started Create System Users.
[  OK  ] Started Rebuild Journal Catalog.
[  OK  ] Started Preprocess NFS configuration.
         Starting Notify NFS peers of a restart...
[  OK  ] Started Rebuild Dynamic Linker Cache.
[  OK  ] Started Notify NFS peers of a restart.
[  OK  ] Started Journal Service.
         Starting Flush Journal to Persistent Storage...
[  OK  ] Started Rebuild Hardware Database.
         Starting Update is Completed...
[  OK  ] Started Update is Completed.
[  OK  ] Started Flush Journal to Persistent Storage.
         Starting Create Volatile Files and Directories...
[  OK  ] Started Create Volatile Files and Directories.
         Mounting RPC Pipe File System...
         Starting Update UTMP about System Boot/Shutdown...
[FAILED] Failed to mount RPC Pipe File System.
See 'systemctl status var-lib-nfs-rpc_pipefs.mount' for details.
[DEPEND] Dependency failed for RPC security service for NFS client and server.
[DEPEND] Dependency failed for RPC security service for NFS server.
[  OK  ] Reached target NFS client services.
[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
[  OK  ] Started Update UTMP about System Boot/Shutdown.
[  OK  ] Reached target System Initialization.
[  OK  ] Reached target Timers.
[  OK  ] Listening on D-Bus System Message Bus Socket.
[  OK  ] Listening on RPCbind Server Activation Socket.
[  OK  ] Reached target Sockets.
[  OK  ] Reached target Basic System.
[  OK  ] Reached target Containers.
[  OK  ] Started D-Bus System Message Bus.
         Starting D-Bus System Message Bus...
         Starting Permit User Sessions...
         Starting Cleanup of Temporary Directories...
[  OK  ] Started Permit User Sessions.
[  OK  ] Reached target Multi-User System.
         Starting Update UTMP about System Runlevel Changes...
[  OK  ] Started Cleanup of Temporary Directories.
[  OK  ] Started Update UTMP about System Runlevel Changes.

systemctl status shows

● proc-fs-nfsd.mount - NFSD configuration filesystem
   Loaded: loaded (/usr/lib/systemd/system/proc-fs-nfsd.mount; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Mon 2016-06-06 14:52:55 UTC; 13s ago
    Where: /proc/fs/nfsd
     What: nfsd
  Process: 28 ExecMount=/usr/bin/mount nfsd /proc/fs/nfsd -t nfsd (code=exited, status=32)

Jun 06 14:52:56 1ebc69142bb4 mount[28]: mount: nfsd is write-protected, mounting read-only
Jun 06 14:52:56 1ebc69142bb4 mount[28]: mount: cannot mount nfsd read-only
Warning: Journal has been rotated since unit was started. Log output is incomplete or unavailable.


● var-lib-nfs-rpc_pipefs.mount - RPC Pipe File System
   Loaded: loaded (/usr/lib/systemd/system/var-lib-nfs-rpc_pipefs.mount; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Mon 2016-06-06 14:52:56 UTC; 42s ago
    Where: /var/lib/nfs/rpc_pipefs
     What: sunrpc
  Process: 38 ExecMount=/usr/bin/mount sunrpc /var/lib/nfs/rpc_pipefs -t rpc_pipefs (code=exited, status=32)

Jun 06 14:52:56 1ebc69142bb4 systemd[1]: Mounting RPC Pipe File System...
Jun 06 14:52:56 1ebc69142bb4 mount[38]: mount: permission denied
Jun 06 14:52:56 1ebc69142bb4 systemd[1]: var-lib-nfs-rpc_pipefs.mount: Mount process exited, code=exited status=32
Jun 06 14:52:56 1ebc69142bb4 systemd[1]: Failed to mount RPC Pipe File System.
Jun 06 14:52:56 1ebc69142bb4 systemd[1]: var-lib-nfs-rpc_pipefs.mount: Unit entered failed state.

Expected results:

No proc-fs-nfsd.mount and var-lib-nfs-rpc_pipefs.mount errors.

Additional info:

Adding

   RUN systemctl mask proc-fs-nfsd.mount var-lib-nfs-rpc_pipefs.mount

to the image helps ... but should people have to do that, especially when nfs-utils gets installed to their images via some (indirect) dependency?

This is a copy of https://fedorahosted.org/spin-kickstarts/ticket/57.

Comment 1 Kevin Fenzi 2016-06-06 21:53:17 UTC
I'm not sure what the correct answer is here... perhaps we should move it to one of the NFS packages for the nfs maintainer(s) to chime in?

Comment 2 Jan Pazdziora 2016-06-07 07:30:06 UTC
Possibly.

Or just add it to the list of services/targets being masked, with something like

 RUN systemctl mask proc-fs-nfsd.mount var-lib-nfs-rpc_pipefs.mount

?

Comment 3 Fedora End Of Life 2016-11-25 09:13:25 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jan Pazdziora 2016-11-25 14:11:02 UTC
Issue is still present with fedora:24.

Comment 5 Fedora End Of Life 2017-07-25 21:01:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Jan Pazdziora 2017-07-28 12:35:50 UTC
With registry.fedoraproject.org/fedora:25, there is no output from systemd when running the container but running

docker exec -ti systemd-nfs-utils systemctl status proc-fs-nfsd.mount

shows

$ docker exec -ti systemd-nfs-utils systemctl status proc-fs-nfsd.mount
● proc-fs-nfsd.mount - NFSD configuration filesystem
   Loaded: loaded (/usr/lib/systemd/system/proc-fs-nfsd.mount; static; vendor preset: disabled)
   Active: inactive (dead)
    Where: /proc/fs/nfsd
     What: nfsd

So I assume this was fixed somehow?

Comment 7 Fedora End Of Life 2017-08-08 14:46:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.